# module ActiveLdap::AttributeMethods::BeforeTypeCast

### Protected Instance Methods

attribute_before_type_cast(attr) click to toggle source

    # File lib/active_ldap/attribute_methods/before_type_cast.rb, line 11
    def attribute_before_type_cast(attr)
      get_attribute_before_type_cast(attr)[1]
    end

get_attribute_before_type_cast(name, force_array=false) click to toggle source

    # File lib/active_ldap/attribute_methods/before_type_cast.rb, line 15
    def get_attribute_before_type_cast(name, force_array=false)
      name = to_real_attribute_name(name)

      value = @data[name]
      value = [] if value.nil?
      [name, array_of(value, force_array)]
    end